| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Functions | Variables
img_find.cpp File Reference

Functions to find a template in an image. More...

`#include "Bimage.h"`
`#include "img_find.h"`
`#include "matrix_linear.h"`
`#include "linked_list.h"`
`#include "utilities.h"`

Go to the source code of this file.

## Functions
Vector3< double > | img_find_density_for_view (Bimage *p, Bimage *ptemp, View view, double hires, double lores, double search_radius, Bimage *pmask, double &cc, fft_plan planf, fft_plan planb)
double | img_fcc_for_view (Bimage *p, Bimage *ptemp, View view, FSI_Kernel *kernel, double hires, double lores, Bimage *pmask)
double * | distances_from_view (View bestview, int nviews, View *view_arr)
int | gaussian_fit (int n, double *d, double *cc)
double | img_find_density (Bimage *p, Bimage *ptemp, View *view, double hires, double lores, double search_radius, Bimage *pmask, View *currview, Vector3< float > *currshift)
| Searches a 2D/3D density map for a template. More...
double | img_fcc_search (Bimage *p, Bimage *ptemp, View *view, FSI_Kernel *kernel, double hires, double lores, Bimage *pmask)
| Fast cross-correlation searches a 2D/3D density map for a template. More...
double | img_cc_for_view (Bimage *p, Bimage *ptemp, View view, FSI_Kernel *kernel, double hires, double lores, double searchrad, Bimage *pmask)
int | gaussian_fit2 (int n, double *d, double *cc)

## Variables
int | verbose

## Detailed Description

Functions to find a template in an image.

Author
  Bernard Heymann

Date
  Created: 20021027
  Modified: 20150106

Definition in file img_find.cpp.

## Function Documentation

double * distances_from_view | ( | View | bestview,
|  | int | nviews,
|  | View * | view_arr
| ) |  |

Definition at line 435 of file img_find.cpp.

int gaussian_fit | ( | int | n,
|  | double * | d,
|  | double * | cc
| ) |  |

Definition at line 479 of file img_find.cpp.

int gaussian_fit2 | ( | int | n,
|  | double * | d,
|  | double * | cc
| ) |  |

Definition at line 447 of file img_find.cpp.

double img_cc_for_view | ( | Bimage * | p,
|  | Bimage * | ptemp,
|  | View | view,
|  | FSI_Kernel * | kernel,
|  | double | hires,
|  | double | lores,
|  | double | searchrad,
|  | Bimage * | pmask
| ) |  |

Definition at line 364 of file img_find.cpp.

double img_fcc_for_view | ( | Bimage * | p,
|  | Bimage * | ptemp,
|  | View | view,
|  | FSI_Kernel * | kernel,
|  | double | hires,
|  | double | lores,
|  | Bimage * | pmask
| ) |  |

Definition at line 292 of file img_find.cpp.

double img_fcc_search | ( | Bimage * | p,
|  | Bimage * | ptemp,
|  | View * | view,
|  | FSI_Kernel * | kernel,
|  | double | hires,
|  | double | lores,
|  | Bimage * | pmask
| ) |  |

Fast cross-correlation searches a 2D/3D density map for a template.

Parameters

  *p | the Fourier transformed image.
  *ptemp | the Fourier transformed template to be searched for.
  view | view.
  *kernel | interpolation kernel.
  hires | high resolution limit.
  lores | low resolution limit.
  *pmask | mask for cross-correlation (ignored if NULL).

Returns
  double correlation coefficient.

      The template is rotated to the view and cross-correlated to find
      a set of high-scoring fits.
      The views must be calculated externally to allow for custom sets.
      The best view is returned in the image view record.

Definition at line 217 of file img_find.cpp.

double img_find_density | ( | Bimage * | p,
|  | Bimage * | ptemp,
|  | View * | view,
|  | double | hires,
|  | double | lores,
|  | double | search_radius,
|  | Bimage * | pmask,
|  | View * | currview,
|  | Vector3< float > * | currshift
| ) |  |

Searches a 2D/3D density map for a template.

Parameters

  *p | the image.
  *ptemp | the template to be searched for.
  *view | views.
  hires | high resolution limit.
  lores | low resolution limit.
  search_radius | radius for shift search.
  *pmask | mask for cross-correlation (ignored if NULL).
  *currview | best current view to return.
  *currshift | best current shift to return.

Returns
  double the best correlation coefficient.

      The template is rotated and cross-correlated to find the best fit.
      The views must be calculated externally to allow for custom sets.

Definition at line 44 of file img_find.cpp.

Vector3< double > img_find_density_for_view | ( | Bimage * | p,
|  | Bimage * | ptemp,
|  | View | view,
|  | double | hires,
|  | double | lores,
|  | double | search_radius,
|  | Bimage * | pmask,
|  | double & | cc,
|  | fft_plan | planf,
|  | fft_plan | planb
| ) |  |

Definition at line 168 of file img_find.cpp.

## Variable Documentation

int verbose